org.wildfly.swarm.config

## Class SecurityManager<T extends SecurityManager<T>>

- java.lang.Object
- - org.wildfly.swarm.config.SecurityManager<T>

-     public class SecurityManager<T extends SecurityManager<T>>
      extends Object

  Security Manager subsystem

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SecurityManager.SecurityManagerResources` Child mutators for SecurityManager

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `defaultDeploymentPermissions()` The permissions that are to be granted to deployments
    `T` | `defaultDeploymentPermissions(DefaultDeploymentPermissions value)` The permissions that are to be granted to deployments
    `T` | `defaultDeploymentPermissions(DefaultDeploymentPermissionsConsumer consumer)` The permissions that are to be granted to deployments
    `T` | `defaultDeploymentPermissions(DefaultDeploymentPermissionsSupplier supplier)` The permissions that are to be granted to deployments
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `SecurityManager.SecurityManagerResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecurityManager

          public SecurityManager()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public SecurityManager.SecurityManagerResources subresources()

    - #### defaultDeploymentPermissions

          public T defaultDeploymentPermissions(DefaultDeploymentPermissions value)

      The permissions that are to be granted to deployments

    - #### defaultDeploymentPermissions

          public T defaultDeploymentPermissions(DefaultDeploymentPermissionsConsumer consumer)

      The permissions that are to be granted to deployments

    - #### defaultDeploymentPermissions

          public T defaultDeploymentPermissions()

      The permissions that are to be granted to deployments

    - #### defaultDeploymentPermissions

          public T defaultDeploymentPermissions(DefaultDeploymentPermissionsSupplier supplier)

      The permissions that are to be granted to deployments

Copyright © 2017 JBoss by Red Hat. All rights reserved.